#
# Conditional build:
%bcond_without	apidocs		# API documentation
%bcond_without	python3		# CPython 3.x binding
%bcond_without	static_libs	# static library

%define		gstmver		1.0
%define		gst_ver		1.20.0
%define		gstpb_ver	1.20.0
%define		gstdevtools_ver	1.20.0
Summary:	GStreamer Editing Services library
Summary(pl.UTF-8):	Biblioteka funkcji edycyjnych GStreamera (GStreamer Editing Services)
Name:		gstreamer-editing-services
Version:	1.20.3
Release:	1
License:	LGPL v2+
Group:		Libraries
Source0:	https://gstreamer.freedesktop.org/src/gstreamer-editing-services/gst-editing-services-%{version}.tar.xz
# Source0-md5:	f0d734e668618dd1215cc55324a3ef43
URL:		https://gstreamer.freedesktop.org/
BuildRequires:	bash-completion-devel >= 2.0
BuildRequires:	flex >= 2.5.31
BuildRequires:	glib2-devel >= 1:2.56.0
BuildRequires:	gobject-introspection-devel >= 0.9.6
BuildRequires:	gstreamer-devel >= %{gst_ver}
BuildRequires:	gstreamer-plugins-base-devel >= %{gstpb_ver}
BuildRequires:	gstreamer-plugins-bad-devel >= %{gstpb_ver}
BuildRequires:	gstreamer-validate-devel >= %{gstdevtools_ver}
%{?with_apidocs:BuildRequires:	hotdoc >= 0.11.0}
BuildRequires:	meson >= 0.59
BuildRequires:	ninja >= 1.5
BuildRequires:	libxml2-devel >= 2.0
BuildRequires:	pkgconfig >= 1:0.9.0
%if %{with python3}
BuildRequires:	python3 >= 1:3.4
# for proper overrides dir detection
BuildRequires:	python3-pygobject3
%endif
BuildRequires:	rpm-build >= 4.6
BuildRequires:	rpm-pythonprov
BuildRequires:	rpmbuild(macros) >= 1.736
BuildRequires:	tar >= 1:1.22
BuildRequires:	xz
Requires:	glib2 >= 1:2.56.0
Requires:	gstreamer >= %{gst_ver}
Requires:	gstreamer-plugins-base >= %{gstpb_ver}
Requires:	gstreamer-validate >= %{gstdevtools_ver}
Obsoletes:	gstreamer-gnonlin < 1.6.0
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
GStreamer Editing Services is a high-level library for facilitating
the creation of audio/video non-linear editors.

%description -l pl.UTF-8
GStreamer Editing Services to wysokopoziomowa biblioteka ułatwiająca
tworzenie nieliniowych edytorów audio/video.

%package devel
Summary:	Header files for GStreamer Editing Services library
Summary(pl.UTF-8):	Pliki nagłówkowe biblioteki GStreamer Editing Services
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	glib2-devel >= 1:2.56.0
Requires:	gstreamer-devel >= %{gst_ver}
Requires:	gstreamer-plugins-base-devel >= %{gstpb_ver}

%description devel
Header files for GStreamer Editing Services library.

%description devel -l pl.UTF-8
Pliki nagłówkowe biblioteki GStreamer Editing Services.

%package static
Summary:	Static GStreamer Editing Services library
Summary(pl.UTF-8):	Statyczba biblioteka GStreamer Editing Services
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Static GStreamer Editing Services library.

%description static -l pl.UTF-8
Statyczba biblioteka GStreamer Editing Services.

%package apidocs
Summary:	API documentation for GStreamer Editing Services library
Summary(pl.UTF-8):	Dokumentacja API biblioteki GStreamer Editing Services
Group:		Documentation
Obsoletes:	gstreamer-gnonlin-apidocs < 1.6.0
BuildArch:	noarch

%description apidocs
API documentation for GStreamer Editing Services library.

%description apidocs -l pl.UTF-8
Dokumentacja API biblioteki GStreamer Editing Services.

%package -n python3-gstreamer-editing-services
Summary:	Python GI binding for GStreamer Editing Services
Summary(pl.UTF-8):	Wiązanie Pythona GI do usług GStreamer Editing Services
Group:		Libraries/Python
Requires:	%{name} = %{version}-%{release}
Requires:	python3-pygobject3 >= 3.0
Obsoletes:	python-gstreamer-editing-services < 1.18

%description -n python3-gstreamer-editing-services
Python GI binding for GStreamer Editing Services.

%description -n python3-gstreamer-editing-services -l pl.UTF-8
Wiązanie Pythona GI do usług GStreamer Editing Services.

%package -n bash-completion-gstreamer-editing-services
Summary:	Bash completion for GStreamer Editing Services utilities
Summary(pl.UTF-8):	Bashowe uzupełnianie paramterów narzędzi GStreamer Editing Services
Group:		Applications/Shells
Requires:	%{name} = %{version}-%{release}
Requires:	bash-completion >= 2.0
BuildArch:	noarch

%description -n bash-completion-gstreamer-editing-services
Bash completion for GStreamer Editing Services utilities (ges-launch).

%description -n bash-completion-gstreamer-editing-services -l pl.UTF-8
Bashowe uzupełnianie paramterów narzędzi GStreamer Editing Services
(ges-launch).

%prep
%setup -q -n gst-editing-services-%{version}

%build
%meson build \
	%{!?with_apidocs:-Ddoc=false}

%ninja_build -C build

%if %{with apidocs}
cd build/docs
for component in ges gst-editing-services nle ; do
	LC_ALL=C.UTF-8 hotdoc run --conf-file ${component}-doc.json
done
%endif

%install
rm -rf $RPM_BUILD_ROOT

%ninja_install -C build

%if %{with static_libs}
%{__rm} $RPM_BUILD_ROOT%{_libdir}/gstreamer-1.0/libgst*.a
%{__rm} -r $RPM_BUILD_ROOT%{_libdir}/gstreamer-1.0/pkgconfig
%endif

%if %{with python3}
%py3_comp $RPM_BUILD_ROOT%{py3_sitedir}
%py3_ocomp $RPM_BUILD_ROOT%{py3_sitedir}
%endif

%if %{with apidocs}
install -d $RPM_BUILD_ROOT%{_docdir}/gstreamer-%{gstmver}
cp -pr build/docs/{ges,gst-editing-services,nle}-doc $RPM_BUILD_ROOT%{_docdir}/gstreamer-%{gstmver}
%endif

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog NEWS README RELEASE
%attr(755,root,root) %{_bindir}/ges-launch-1.0
%attr(755,root,root) %{_libdir}/libges-1.0.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libges-1.0.so.0
%{_libdir}/girepository-1.0/GES-1.0.typelib
%attr(755,root,root) %{_libdir}/gstreamer-1.0/libgstges.so
%attr(755,root,root) %{_libdir}/gstreamer-1.0/libgstnle.so
%if %{with python3}
%{_libdir}/gst-validate-launcher/python/launcher/apps/geslaunch.py*
%endif
%{_datadir}/gstreamer-1.0/validate/scenarios/ges-edit-clip-while-paused.scenario
%{_mandir}/man1/ges-launch-1.0.1*

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libges-1.0.so
%{_includedir}/gstreamer-1.0/ges
%{_datadir}/gir-1.0/GES-1.0.gir
%{_pkgconfigdir}/gst-editing-services-1.0.pc

%if %{with static_libs}
%files static
%defattr(644,root,root,755)
%{_libdir}/libges-1.0.a
%endif

%if %{with apidocs}
%files apidocs
%defattr(644,root,root,755)
%{_docdir}/gstreamer-%{gstmver}/ges-doc
%{_docdir}/gstreamer-%{gstmver}/gst-editing-services-doc
%{_docdir}/gstreamer-%{gstmver}/nle-doc
%endif

%if %{with python3}
%files -n python3-gstreamer-editing-services
%defattr(644,root,root,755)
# must be consistent with python-pygobject3.spec because of "..overrides" and "..importer" imports
%{py3_sitedir}/gi/overrides/GES.py
%{py3_sitedir}/gi/overrides/__pycache__/GES.cpython-*.py[co]
%endif

%files -n bash-completion-gstreamer-editing-services
%defattr(644,root,root,755)
%{bash_compdir}/ges-launch-1.0
%changelog
* Sat Jun 25 2022 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/gstreamer-editing-services.git;a=log;h=master

* Sat Jun 25 2022 Jakub Bogusz <qboosh@pld-linux.org> b4dd031
- updated to 1.20.3

* Tue May 10 2022 Jakub Bogusz <qboosh@pld-linux.org> beece62
- updated to 1.20.2

* Sun Apr 17 2022 Jakub Bogusz <qboosh@pld-linux.org> 2875a14
- updated to 1.20.1, updated dependencies

* Wed Mar 30 2022 Jan Rękorajski <baggins@pld-linux.org> 18dd188
- Release 3 (by relup.sh)

* Sat Mar 26 2022 Jan Rękorajski <baggins@pld-linux.org> 51acb2d
- rebuild with python 3.10

* Thu Mar 10 2022 Jan Rękorajski <baggins@pld-linux.org> 67e9763
- up to 1.20.0

* Tue Nov 30 2021 Jan Rękorajski <baggins@pld-linux.org> d015f3e
- up to 1.19.3

* Sat Nov 20 2021 Jan Rękorajski <baggins@pld-linux.org> 456077c
- rebuild with separate debuginfo build-ids

* Wed Oct 13 2021 Jakub Bogusz <qboosh@pld-linux.org> bb34f29
- updated to 1.18.5; now uses meson+hotdoc, python2 binding is gone

* Sun Mar 14 2021 Jakub Bogusz <qboosh@pld-linux.org> a36d7d7
- added python3 module (validate launcher remains python2 based, no switch exposed)
- noarch bash-completion package

* Sun Mar 14 2021 Jakub Bogusz <qboosh@pld-linux.org> 15bb0bf
- updated to 1.16.3

* Sun Feb 28 2021 Jan Rękorajski <baggins@pld-linux.org> da0803e
- unconditional noarch subpackages

* Mon Mar 30 2020 Jakub Bogusz <qboosh@pld-linux.org> 06badb5
- updated to 1.16.2

* Sat Jul 27 2019 Jakub Bogusz <qboosh@pld-linux.org> a0d68f2
- updated to 1.16.0

* Wed Mar 06 2019 Jakub Bogusz <qboosh@pld-linux.org> 7ef3751
- don't package static module; release 2

* Wed Mar 06 2019 Jakub Bogusz <qboosh@pld-linux.org> 3b30ba5
- updated dependencies

* Wed Dec 26 2018 Jaroslaw Kruk <kruk.jaroslaw@gmail.com> dabf150
- Updated to 1.14.4

* Tue Dec 26 2017 Jan Rękorajski <baggins@pld-linux.org> 8b2b89f
- release 2 (by relup.sh)

* Sat Dec 23 2017 Jakub Bogusz <qboosh@pld-linux.org> 2f19615
- updated to 1.12.4

* Thu Jul 27 2017 Jakub Bogusz <qboosh@pld-linux.org> 809345e
- updated to 1.12.2

